Module java.base
Package java.util.function

## Interface Supplier<T>

- Type Parameters:
    `T` - the type of results supplied by this supplier
  All Known Subinterfaces:
    `ServiceLoader.Provider<S>`
  All Known Implementing Classes:
    `GuardingDynamicLinkerExporter`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Supplier<T>

  Represents a supplier of results.

  There is no requirement that a new or distinct result be returned each time the supplier is invoked.

  This is a functional interface whose functional method is `get()`.

  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `get​()` | Gets a result.

- - ### Method Detail

    - #### get

          T get​()

      Gets a result.
      Returns:
        a result